plugins {
    id("jfmod") version "1.5-SNAPSHOT"
}

allprojects { group = "io.gitlab.jfronny" }
base.archivesName = "google-chat"

val fabricVersion = "0.89.1+1.20.2"
jfMod {
    minecraftVersion = "1.20.2"
    yarn("build.1")
    loaderVersion = "0.14.22"
    libJfVersion = "3.13.1"

    modrinth {
        projectId = "google-chat"
        requiredDependencies.add("libjf")
        optionalDependencies.add("modmenu")
    }
    curseforge {
        projectId = "574331"
        requiredDependencies.add("libjf")
        optionalDependencies.add("modmenu")
    }
}

dependencies {
    modImplementation("io.gitlab.jfronny.libjf:libjf-config-core-v2:${jfMod.libJfVersion.get()}")
    modImplementation("io.gitlab.jfronny.libjf:libjf-translate-v1:${jfMod.libJfVersion.get()}")
    include(modImplementation(fabricApi.module("fabric-message-api-v1", fabricVersion))!!)

    // Dev env
    modLocalRuntime("io.gitlab.jfronny.libjf:libjf-config-ui-tiny:${jfMod.libJfVersion.get()}")
    modLocalRuntime("io.gitlab.jfronny.libjf:libjf-devutil:${jfMod.libJfVersion.get()}")
    modLocalRuntime("com.terraformersmc:modmenu:8.0.0-beta.2")
}
